<?php
include_once '../session/admin-session.php';
include_once '../classes/class_admin.php';
include_once '../classes/validation.php';
include_once '../classes/common.php';
include_once '../classes/transcriptcal.php';
include_once '../classes/sgpa.php';
include_once 'read-configration.php';

ob_start();
$ObjDB = new class_db();
$objadm = new class_admin();
$val = new validation();

?>

<div class="container-fluid">
    <div class="row">
        <div class="col-xl-12 col-xxl-12 col-sm-12">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title">Block List</h5>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table width="100%">
                            <tr>
<td valign=top>

<?php
$query="SELECT * FROM stu_main where fee_OK = 'N' order by roll";
$ObjDB->sproc_name = $query;
$res_query = $ObjDB->SelectQuery();
$num=mysqli_num_rows($res_query);
if ($num > 0) {
	echo "<table class='table table-bordered align-middle'>";
	echo "<tr><td colspan=2><CENTER><b>Fee payment defaulters<br>Semester Registration Blocked</b></CENTER></td></tr>";
	while($row = mysql_fetch_array($query)) {
		$roll = $row["roll"] ;
		$stu_name = $row["name"] ;
		echo "<tr><td>$roll</td><td>$stu_name</td></tr>";
	}
	echo "</table>";
} else {
	echo "<b>No fee payment block</b>";
}
?>
</td>
<td valign=top>
<?php
$query="SELECT * FROM isr_stu_main_tbl where cgpa_OK = 'N' order by roll";
$ObjDB->sproc_name = $query;
$res_query = $ObjDB->SelectQuery();
$num=mysqli_num_rows($res_query);
if ($num > 0) {
	echo "<table class='table table-bordered align-middle'>";
	echo "<tr><td colspan=2><CENTER><b>CGPA or F grade problem<br>Semester Registration Blocked</b></CENTER></td></tr>";
	while($row = mysqli_fetch_array($res_query)) {
		$roll = $row["roll"] ;
		$stu_name = $row["name"] ;
		echo "<tr><td>$roll</td><td>$stu_name</td></tr>";
	}
	echo "</table>";
} else {
	echo "<b>No F grade or CGPA block</b>";
}
?>
</td>
<td valign=top>
<?php
$query="SELECT * FROM isr_stu_main_tbl where attn_OK = 'N' order by roll";
$ObjDB->sproc_name = $query;
$res_query = $ObjDB->SelectQuery();
$num=mysqli_num_rows($res_query);
if ($num > 0) {
	echo "<table class='table table-bordered align-middle'>";
	echo "<tr><td colspan='2'><CENTER><b>Attendance Problem <br>Feedback Blocked</b></CENTER></td></tr>";
	while($row = mysqli_fetch_array($res_query)) {
		$roll = $row["roll"] ;
		$stu_name = $row["name"] ;
		echo "<tr><td>$roll</td><td>$stu_name</td></tr>";
	}
	echo "</table>";
} else {
	echo "<b>No Attendance block</b>";
}
?>
</td></tr></table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$pagemaincontent = ob_get_contents();
ob_clean();
$PAGENAME = 'reports-block-list';
$HTMLTITLE = '';
$HTMLDESCRIPTION = '';
$HTMLKEYWORDS = '';
include("admin-master.php");
?>